<div class="mt-4 rounded border border-2 w-100 p-4 mt-2">
    <h2>CAMBIAR CONTRASEÑA</h2>
    <form [formGroup]="form1" (ngSubmit)="form1.valid" autocomplete="off">
        <fieldset >
            <div class="row mt-2">
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Ingrese Contraseña Actual</mat-label>
                        <input matInput type="password" placeholder="Password" formControlName="clave">
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('required')" class="form-control-feedback">
                            Contraseña es requerida
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('at-least-one-digit')">
                            Contraseña debe contener por lo menos un <strong> digit</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('at-least-one-lowercase')">
                            Contraseña debe contener por lo menos una <strong> letra minúscula</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('at-least-one-uppercase')">
                            Contraseña debe contener por lo menos una <strong> letra mayúscula</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('at-least-one-special-character')">
                            Contraseña debe contener por lo menos <strong>[!@#$%^&*</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clave'].hasError('at-least-eight-characters')">
                            Contraseña debe contener por lo menos 8 <strong> caracteres</strong>
                        </mat-error>
        
                    </mat-form-field>
                </div>                
            </div>
            <div class="row mt-2">
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Ingrese Contraseña Nueva</mat-label>
                        <input matInput type="password" placeholder="Password" formControlName="clavenueva">
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('required')" class="form-control-feedback">
                            Contraseña es requerida
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('at-least-one-digit')">
                            Contraseña debe contener por lo menos un <strong> digit</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('at-least-one-lowercase')">
                            Contraseña debe contener por lo menos una <strong> letra minúscula</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('at-least-one-uppercase')">
                            Contraseña debe contener por lo menos una <strong> letra mayúscula</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('at-least-one-special-character')">
                            Contraseña debe contener por lo menos <strong>[!@#$%^&*</strong>
                        </mat-error>
        
                        <mat-error *ngIf="form1.controls['clavenueva'].hasError('at-least-eight-characters')">
                            Contraseña debe contener por lo menos 8 <strong> caracteres</strong>
                        </mat-error>
        
                    </mat-form-field>
                </div>
            </div>            
        </fieldset>
        <button type="submit" [disabled]="!form1.valid" mat-button color="primary" 
            class="btn btn-outline-secondary btn-block" (click)="cambiarPassword()" style="margin-left: auto">Cambiar Contraseña</button>
    </form>
    
</div>